ข้ามไปยังเนื้อหา

Tripo3D Segment

ผสานการทำงาน

ID โมเดล tripo3d/tripo/segment
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/tripo3d/tripo/segment?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: ≈$0.40 400 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API
Tripo 3D #stylized#transform

แบ่งโมเดล 3D ที่มีอยู่ออกเป็นส่วนเชิงความหมายที่มีชื่อ และส่งคืนชื่อส่วนประกอบ

Tripo · 3D

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

แหล่งการแบ่งส่วน: โมเดล 3D ที่ระบุด้วย URL ขนาดไม่เกิน 150 MB และบันทึกเป็น GLB, OBJ, FBX หรือ STL

POST /run/tripo3d/tripo/segment?wait=20 ใบเสนอราคา → $0.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/tripo3d/tripo/segment?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Tripo3D Segment

รับเมชจาก `mesh_url` (GLB, OBJ, FBX หรือ STL ขนาดไม่เกิน 150MB) แล้วแบ่งออกเป็นส่วนต่าง ๆ ผลลัพธ์คือโมเดลที่แบ่งส่วนแล้ว ภาพเรนเดอร์ตัวอย่าง และรายการ `part_names` เมื่อมีการรายงาน ชื่อเหล่านี้สามารถส่งต่อให้โมเดล remesh เพื่อรักษาส่วนประกอบให้แยกจากกัน โมเดลนี้ไม่รับการตั้งค่าอื่น

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
mesh_urlจำเป็น
ประเภทstring
แหล่งการแบ่งส่วน: โมเดล 3D ที่ระบุด้วย URL ขนาดไม่เกิน 150 MB และบันทึกเป็น GLB, OBJ, FBX หรือ STL
จำเป็น

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "tripo3d/tripo/segment",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 400,
    "usd": "0.40",
    "charged": 400,
    "refunded": 0
  },
  "input": {
    "mesh_url": "https://example.com/your-file.glb"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "base_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "pbr_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "part_names": [
      "string"
    ],
    "rendered_image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
model_mesh
object {url, content_type, file_name, file_size}ไฟล์ 3D ที่แบ่งส่วนแล้ว โดยรูปแบบขึ้นอยู่กับสิ่งที่ Tripo ส่งกลับ: GLB หรือ FBX
model_urls
object {glb, fbx, base_model, pbr_model}URL ที่ชี้ไปยังรูปแบบ 3D ทางเลือกของโมเดลที่แบ่งส่วนแล้ว
part_names
array of stringตัวระบุส่วนที่ใช้เป็น 'part_names' ในคำขอรีเมชเพื่อเก็บส่วนเหล่านั้นแยกกัน ชื่อเหล่านี้จะรวมอยู่ด้วยเฉพาะเมื่อ Tripo รายงานระหว่างการแบ่งส่วน
rendered_image
object {url, content_type, file_name, file_size} | nullตัวอย่างภาพเรนเดอร์ที่แสดงโมเดล 3D ที่แบ่งส่วนแล้ว

โมเดลเพิ่มเติม: 3D

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/tripo3d/tripo/segment.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt